#
# Conditional build:
%bcond_with	doc		# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	msgpack
%define		pypi_name	msgpack-python
Summary:	Binary-based efficient data interchange format
Summary(pl.UTF-8):	Binarny efektywny format wymiany danych.
Name:		python-%{module}
Version:	0.5.6
Release:	3
License:	ASL
Group:		Development/Languages/Python
Source0:	https://pypi.debian.net/msgpack/%{module}-%{version}.tar.gz
# Source0-md5:	9dfceb24c6e4e7de032687ee5a7ef4d6
URL:		http://msgpack.org/
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-distribute
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MessagePack is a binary-based efficient object serialization library.
It enables to exchange structured objects between many languages like
JSON. But unlike JSON, it is very fast and small.

%description -l pl.UTF-8
MessagePack jest binarną, efektywną biblioteką serializacji obiektów.
Pozwala wymieniać strukturalne obiekty pomiędzy wieloma językami
podobnie jak JSON. W odróżnieniu jest bardzo szybka i mała.

%package -n python3-%{module}
Summary:	Binary-based efficient data interchange format
Summary(pl.UTF-8):	Binarny efektywny format wymiany danych.
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
MessagePack is a binary-based efficient object serialization library.
It enables to exchange structured objects between many languages like
JSON. But unlike JSON, it is very fast and small.

%description -n python3-%{module} -l pl.UTF-8
MessagePack jest binarną, efektywną biblioteką serializacji obiektów.
Pozwala wymieniać strukturalne obiekty pomiędzy wieloma językami
podobnie jak JSON. W odróżnieniu jest bardzo szybka i mała.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING README.rst
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_packer.so
%attr(755,root,root) %{py_sitedir}/%{module}/_unpacker.so
%{py_sitedir}/msgpack-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING README.rst
%dir %{py3_sitedir}/%{module}
%attr(755,root,root) %{py3_sitedir}/%{module}/_packer.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/%{module}/_unpacker.cpython-*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/msgpack-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sat Dec 14 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-msgpack.git;a=log;h=master

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b132df4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ad1420
- release 2 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 278786e
- up to 0.5.6

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a3fb364
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bb73c2
- python 3.6
- release 2 (by relup.sh)

* Sat Sep 17 2016 Elan Ruusamäe <glen@delfi.ee> a575d63
- update BR

* Sat Sep 17 2016 Elan Ruusamäe <glen@delfi.ee> 2d81bbd
- up to 0.4.8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b300a6a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 91706d9
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5b646f9
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 49ee83e
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f48a1
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Mar 12 2015 Mateusz Korniak <matkor@pld-linux.org> 68a2b5a
- Version 0.4.5-1.

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f092267
- python 3.4
- release 2 (by relup.sh)

* Mon Oct 06 2014 Mateusz Korniak <matkor@pld-linux.org> df80b46
- Release 1. Added py3 packages.

* Mon Oct 06 2014 Mateusz Korniak <matkor@pld-linux.org> 7f3a604
- Version 0.4.2.

* Fri Jan 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 61e75ba
- up to 0.2.4

* Wed Jul 11 2012 Mateusz Korniak <matkor@pld-linux.org> f150399
- Version 0.2.0-1.

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 53ac937
- up to 0.1.12

* Tue Oct 25 2011 Mateusz Korniak <matkor@pld-linux.org> f8b95e2
- Version 0.1.10-1.

